<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ /*
  ~  - #%L
  ~  - CHVote-Receiver
  ~  - %%
  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève
  ~  - %%
  ~  - This program is free software: you can redistribute it and/or modify
  ~  - it under the terms of the GNU Affero General Public License as published by
  ~  - the Free Software Foundation, either version 3 of the License, or
  ~  - (at your option) any later version.
  ~  -
  ~  - This program is distributed in the hope that it will be useful,
  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~  - GNU General Public License for more details.
  ~  -
  ~  - You should have received a copy of the GNU Affero General Public License
  ~  - along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~  - #L%
  ~  */
  -->

<configuration>

    <!-- Console appender -->
    <appender name="CONSOLE" class="ch.qos.logback.core.ConsoleAppender">
        <encoder>
            <Pattern>%d{HH:mm:ss.SSS} %-50logger{36} | %-5level %msg%n</Pattern>
        </encoder>
    </appender>

    <!-- File appender -->
    <appender name="FILE" class="ch.qos.logback.core.rolling.RollingFileAppender">
        <file>logs/vote-receiver.log</file>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>logs/vr-%d{yyyy-MM-dd}.log</fileNamePattern>
            <maxHistory>90</maxHistory>
        </rollingPolicy>
        <encoder>
            <Pattern>%d{yyyy-MM-dd HH:mm:ss.SSS} %X{userName} [%X{requestId}] %-5level %msg [%logger{36}]%n</Pattern>
            <immediateFlush>true</immediateFlush>
        </encoder>
        <filter class="ch.qos.logback.classic.filter.ThresholdFilter">
            <level>DEBUG</level>
        </filter>
    </appender>

    <!-- Root logger -->
    <root level="INFO">
        <appender-ref ref="CONSOLE"/>
        <appender-ref ref="FILE"/>
    </root>


</configuration>